import 'package:flutter/material.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:mapir_raster_sdk/mapir_raster.dart';
import 'package:latlong2/latlong.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        home: Scaffold(
      body: MapirMap(
        apiKey: 'YOUR_API_KEY',
        options: MapOptions(
          center: LatLng(35.7324556, 51.4229012),
          zoom: 16.0,
        ),
        layers: [
          MarkerLayerOptions(
            markers: [
              Marker(
                width: 80.0,
                height: 80.0,
                point: LatLng(35.7324556, 51.4229012),
                builder: (ctx) => const FlutterLogo(),
              ),
            ],
          ),
        ],
      ),
    ));
  }
}
